Issue a Verifiable Presentation

Issue a Verifiable Presentation using cheqd Studio

!!! WARN. Such endpoint is made mostly for testing purposes and it is not supposed to be used in production !!! Create a Verifiable Presentation from credential(s).

post
/presentation/create

This endpoint creates a Verifiable Presentation from credential(s). As input, it can take the credential(s) as a string or the entire credential(s) itself. !!! WARN. Such endpoint is made only for testing purposes !!!

Authorizations
x-api-keystringRequired
Body
credentialsobject[]Required

Verifiable Credentials to be used for VP-JWT creation as a VP-JWT strings or a JSON objectsf.

holderDidstringOptional

DID of holder

verifierDidstringOptional

DID of verifier

Responses
chevron-right
200

The request was successful.

application/json
vpobjectOptional

Verifiable Presentation which could be provided to the verifier.

nbfintegerOptional

Unix timestamp of the earliest time that the Verifiable Presentation is valid.

issstringOptional

DID of the issuer of the Verifiable Presentation. (Here it's supposed to be a holder DID)

audstring[]Optional

DID of the verifier of the Verifiable Presentation.

post
/presentation/create

Last updated

Was this helpful?